'use strict';

var palette = require('../../colour/palette.cjs');

const {
  brand,
  brandAlt,
  neutral,
  error,
  success,
  news,
  opinion,
  sport,
  culture,
  lifestyle,
  labs,
  specialReport,
  focus
} = palette.palette;
const background = {
  primary: palette.palette.neutral[100],
  secondary: palette.palette.neutral[97],
  inverse: palette.palette.neutral[10],
  ctaPrimary: palette.palette.brand[400],
  ctaPrimaryHover: "#234B8A",
  ctaSecondary: palette.palette.brand[800],
  ctaSecondaryHover: "#ACC9F7",
  ctaTertiaryHover: "#E5E5E5",
  input: palette.palette.neutral[100],
  inputChecked: palette.palette.brand[500]
};
const brandBackground = {
  primary: palette.palette.brand[400],
  inputChecked: palette.palette.neutral[100],
  ctaPrimary: palette.palette.neutral[100],
  ctaPrimaryHover: "#E0E0E0",
  ctaSecondary: palette.palette.brand[600],
  ctaSecondaryHover: "#234B8A",
  ctaTertiaryHover: palette.palette.brand[300]
};
const brandAltBackground = {
  primary: palette.palette.brandAlt[400],
  ctaPrimary: palette.palette.neutral[7],
  ctaPrimaryHover: "#454545",
  ctaSecondary: palette.palette.brandAlt[200],
  ctaSecondaryHover: "#F2AE00",
  ctaTertiaryHover: "#FFD213"
};
const border = {
  primary: palette.palette.neutral[60],
  secondary: palette.palette.neutral[86],
  success: palette.palette.success[400],
  error: palette.palette.error[400],
  ctaTertiary: palette.palette.brand[400],
  input: palette.palette.neutral[60],
  inputChecked: palette.palette.brand[500],
  inputHover: palette.palette.brand[500],
  inputActive: palette.palette.brand[500],
  focusHalo: palette.palette.focus[400]
};
const brandBorder = {
  primary: palette.palette.brand[600],
  secondary: palette.palette.brand[600],
  success: palette.palette.success[500],
  error: palette.palette.error[500],
  ctaTertiary: palette.palette.neutral[100],
  input: palette.palette.brand[800],
  inputChecked: palette.palette.neutral[100],
  inputHover: palette.palette.neutral[100]
};
const brandAltBorder = {
  ctaTertiary: palette.palette.neutral[7]
};
const line = {
  primary: palette.palette.neutral[86]
};
const brandLine = {
  primary: palette.palette.brand[600]
};
const brandAltLine = {
  primary: palette.palette.neutral[7]
};
const text = {
  primary: palette.palette.neutral[7],
  supporting: palette.palette.neutral[46],
  success: palette.palette.success[400],
  error: palette.palette.error[400],
  ctaPrimary: palette.palette.neutral[100],
  ctaSecondary: palette.palette.brand[400],
  ctaTertiary: palette.palette.brand[400],
  anchorPrimary: palette.palette.brand[500],
  anchorSecondary: palette.palette.neutral[7],
  userInput: palette.palette.neutral[7],
  inputLabel: palette.palette.neutral[7],
  inputError: palette.palette.neutral[7],
  inputLabelSupporting: palette.palette.neutral[46],
  inputChecked: palette.palette.brand[400],
  //choice card only
  inputHover: palette.palette.brand[400],
  //choice card only
  groupLabel: palette.palette.neutral[7],
  groupLabelSupporting: palette.palette.neutral[46],
  newsInverse: palette.palette.news[550]
};
const brandText = {
  primary: palette.palette.neutral[100],
  supporting: palette.palette.brand[800],
  success: palette.palette.success[500],
  error: palette.palette.error[500],
  ctaPrimary: palette.palette.brand[400],
  ctaSecondary: palette.palette.neutral[100],
  ctaTertiary: palette.palette.neutral[100],
  anchorPrimary: palette.palette.neutral[100],
  anchorPrimaryHover: palette.palette.brandAlt[400],
  userInput: palette.palette.neutral[100],
  inputLabel: palette.palette.neutral[100],
  inputLabelSupporting: palette.palette.brand[800]
};
const brandAltText = {
  primary: palette.palette.neutral[7],
  supporting: palette.palette.neutral[60],
  ctaPrimary: palette.palette.neutral[100],
  ctaSecondary: palette.palette.neutral[7],
  ctaTertiary: palette.palette.neutral[7],
  anchorPrimary: palette.palette.neutral[7]
};

exports.background = background;
exports.border = border;
exports.brand = brand;
exports.brandAlt = brandAlt;
exports.brandAltBackground = brandAltBackground;
exports.brandAltBorder = brandAltBorder;
exports.brandAltLine = brandAltLine;
exports.brandAltText = brandAltText;
exports.brandBackground = brandBackground;
exports.brandBorder = brandBorder;
exports.brandLine = brandLine;
exports.brandText = brandText;
exports.culture = culture;
exports.error = error;
exports.focus = focus;
exports.labs = labs;
exports.lifestyle = lifestyle;
exports.line = line;
exports.neutral = neutral;
exports.news = news;
exports.opinion = opinion;
exports.specialReport = specialReport;
exports.sport = sport;
exports.success = success;
exports.text = text;
