'use strict';

var fontStyles = require('./font-styles.cjs');

const titlepieceDefaults = {
  lineHeight: "tight",
  fontWeight: "bold",
  fontStyle: null,
  unit: "rem"
};
const titlepieceObjectStyles = {
  small: fontStyles.fontStyleFunction("titlepiece", "small", titlepieceDefaults),
  medium: fontStyles.fontStyleFunction("titlepiece", "medium", titlepieceDefaults),
  large: fontStyles.fontStyleFunction("titlepiece", "large", titlepieceDefaults)
};
const headlineDefaults = {
  lineHeight: "tight",
  fontWeight: "medium",
  fontStyle: null,
  unit: "rem"
};
const headlineObjectStyles = {
  xxxsmall: fontStyles.fontStyleFunction("headline", "xxxsmall", headlineDefaults),
  xxsmall: fontStyles.fontStyleFunction("headline", "xxsmall", headlineDefaults),
  xsmall: fontStyles.fontStyleFunction("headline", "xsmall", headlineDefaults),
  small: fontStyles.fontStyleFunction("headline", "small", headlineDefaults),
  medium: fontStyles.fontStyleFunction("headline", "medium", headlineDefaults),
  large: fontStyles.fontStyleFunction("headline", "large", headlineDefaults),
  xlarge: fontStyles.fontStyleFunction("headline", "xlarge", headlineDefaults)
};
const bodyDefaults = {
  lineHeight: "loose",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const bodyObjectStyles = {
  xsmall: fontStyles.fontStyleFunction("body", "xsmall", bodyDefaults),
  small: fontStyles.fontStyleFunction("body", "small", bodyDefaults),
  medium: fontStyles.fontStyleFunction("body", "medium", bodyDefaults)
};
const textSansDefaults = {
  lineHeight: "regular",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const textSansObjectStyles = {
  xxsmall: fontStyles.fontStyleFunction("textSans", "xxsmall", textSansDefaults),
  xsmall: fontStyles.fontStyleFunction("textSans", "xsmall", textSansDefaults),
  small: fontStyles.fontStyleFunction("textSans", "small", textSansDefaults),
  medium: fontStyles.fontStyleFunction("textSans", "medium", textSansDefaults),
  large: fontStyles.fontStyleFunction("textSans", "large", textSansDefaults),
  xlarge: fontStyles.fontStyleFunction("textSans", "xlarge", textSansDefaults),
  xxlarge: fontStyles.fontStyleFunction("textSans", "xxlarge", textSansDefaults),
  xxxlarge: fontStyles.fontStyleFunction("textSans", "xxxlarge", textSansDefaults)
};

exports.bodyObjectStyles = bodyObjectStyles;
exports.headlineObjectStyles = headlineObjectStyles;
exports.textSansObjectStyles = textSansObjectStyles;
exports.titlepieceObjectStyles = titlepieceObjectStyles;
