/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const fonts: {
    readonly titlepiece: string;
    readonly headline: string;
    readonly body: string;
    readonly textSans: string;
};
/**
 * @see https://theguardian.design/2a1e5182b/p/0578f1-typography-presets/b/4704a2
 * @see https://www.figma.com/file/OqhZwB5nboFn33iHLYoc6d/%E2%97%90-Typography?type=design&node-id=384%3A3&t=mYsLeX87mBF2Uw8J-1
 *
 * Relative units ensure users can change their user-agent’s font size
 * and having the line height grow accordingly.
 *
 * We meet the Web Consortium Accessibility Guidelines’
 * success criterion for “Text Spacing” (1.4.12) as these values
 * can be overridden by users.
 *
 * @see https://www.w3.org/WAI/WCAG21/Understanding/text-spacing
 *
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const lineHeights: {
    readonly tight: 1.15;
    readonly regular: 1.3;
    readonly loose: 1.4;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const fontWeights: {
    readonly light: 300;
    readonly regular: 400;
    readonly medium: 500;
    readonly bold: 700;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const textSansSizes: {
    readonly xxsmall: 12;
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
    readonly large: 20;
    readonly xlarge: 24;
    readonly xxlarge: 28;
    readonly xxxlarge: 34;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const bodySizes: {
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const headlineSizes: {
    readonly xxxsmall: 17;
    readonly xxsmall: 20;
    readonly xsmall: 24;
    readonly small: 28;
    readonly medium: 34;
    readonly large: 42;
    readonly xlarge: 50;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const titlepieceSizes: {
    readonly small: 42;
    readonly medium: 50;
    readonly large: 70;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remBodySizes: {
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remTitlepieceSizes: {
    readonly small: number;
    readonly medium: number;
    readonly large: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remHeadlineSizes: {
    readonly xxxsmall: number;
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
};
/**
 * @deprecated Use typography presets rather than setting individual values
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const remTextSansSizes: {
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
    readonly xxlarge: number;
    readonly xxxlarge: number;
};

export { bodySizes, fontWeights, fonts, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes };
