'use strict';

var api = require('./api.cjs');
var fontStyles = require('./font-styles.cjs');
var data = require('./data.cjs');

const titlepiece = {
  small: fontStyles.fontStyleToStringFunction(api.titlepieceObjectStyles.small),
  medium: fontStyles.fontStyleToStringFunction(api.titlepieceObjectStyles.medium),
  large: fontStyles.fontStyleToStringFunction(api.titlepieceObjectStyles.large)
};
const headline = {
  xxxsmall: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.xxxsmall),
  xxsmall: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.xxsmall),
  xsmall: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.xsmall),
  small: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.small),
  medium: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.medium),
  large: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.large),
  xlarge: fontStyles.fontStyleToStringFunction(api.headlineObjectStyles.xlarge)
};
const body = {
  xsmall: fontStyles.fontStyleToStringFunction(api.bodyObjectStyles.xsmall),
  small: fontStyles.fontStyleToStringFunction(api.bodyObjectStyles.small),
  medium: fontStyles.fontStyleToStringFunction(api.bodyObjectStyles.medium)
};
const textSans = {
  xxsmall: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.xxsmall),
  xsmall: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.xsmall),
  small: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.small),
  medium: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.medium),
  large: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.large),
  xlarge: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.xlarge),
  xxlarge: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.xxlarge),
  xxxlarge: fontStyles.fontStyleToStringFunction(api.textSansObjectStyles.xxxlarge)
};

exports.bodySizes = data.bodySizes;
exports.fontWeights = data.fontWeights;
exports.fonts = data.fonts;
exports.headlineSizes = data.headlineSizes;
exports.lineHeights = data.lineHeights;
exports.remBodySizes = data.remBodySizes;
exports.remHeadlineSizes = data.remHeadlineSizes;
exports.remTextSansSizes = data.remTextSansSizes;
exports.remTitlepieceSizes = data.remTitlepieceSizes;
exports.textSansSizes = data.textSansSizes;
exports.titlepieceSizes = data.titlepieceSizes;
exports.body = body;
exports.headline = headline;
exports.textSans = textSans;
exports.titlepiece = titlepiece;
