import { titlepieceObjectStyles, headlineObjectStyles, bodyObjectStyles, textSansObjectStyles } from './api.js';
import { fontStyleToStringFunction } from './font-styles.js';
export { bodySizes, fontWeights, fonts, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './data.js';

const titlepiece = {
  small: fontStyleToStringFunction(titlepieceObjectStyles.small),
  medium: fontStyleToStringFunction(titlepieceObjectStyles.medium),
  large: fontStyleToStringFunction(titlepieceObjectStyles.large)
};
const headline = {
  xxxsmall: fontStyleToStringFunction(headlineObjectStyles.xxxsmall),
  xxsmall: fontStyleToStringFunction(headlineObjectStyles.xxsmall),
  xsmall: fontStyleToStringFunction(headlineObjectStyles.xsmall),
  small: fontStyleToStringFunction(headlineObjectStyles.small),
  medium: fontStyleToStringFunction(headlineObjectStyles.medium),
  large: fontStyleToStringFunction(headlineObjectStyles.large),
  xlarge: fontStyleToStringFunction(headlineObjectStyles.xlarge)
};
const body = {
  xsmall: fontStyleToStringFunction(bodyObjectStyles.xsmall),
  small: fontStyleToStringFunction(bodyObjectStyles.small),
  medium: fontStyleToStringFunction(bodyObjectStyles.medium)
};
const textSans = {
  xxsmall: fontStyleToStringFunction(textSansObjectStyles.xxsmall),
  xsmall: fontStyleToStringFunction(textSansObjectStyles.xsmall),
  small: fontStyleToStringFunction(textSansObjectStyles.small),
  medium: fontStyleToStringFunction(textSansObjectStyles.medium),
  large: fontStyleToStringFunction(textSansObjectStyles.large),
  xlarge: fontStyleToStringFunction(textSansObjectStyles.xlarge),
  xxlarge: fontStyleToStringFunction(textSansObjectStyles.xxlarge),
  xxxlarge: fontStyleToStringFunction(textSansObjectStyles.xxxlarge)
};

export { body, headline, textSans, titlepiece };
