/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette)
 *
 * Colour palette organised by type e.g. 'error', or pillar e.g. 'opinion'
 */
declare const palette: {
    readonly brand: {
        readonly '100': "#001536";
        readonly '300': "#041F4A";
        readonly '400': "#052962";
        readonly '500': "#0077B6";
        readonly '600': "#506991";
        readonly '800': "#C1D8FC";
    };
    readonly brandAlt: {
        readonly '200': "#F3C100";
        readonly '300': "#FFD900";
        readonly '400': "#FFE500";
    };
    readonly neutral: {
        readonly '0': "#000000";
        readonly '7': "#121212";
        readonly '10': "#1A1A1A";
        readonly '20': "#333333";
        readonly '38': "#606060";
        readonly '46': "#707070";
        readonly '60': "#999999";
        readonly '86': "#DCDCDC";
        readonly '93': "#EDEDED";
        readonly '97': "#F6F6F6";
        readonly '100': "#FFFFFF";
    };
    readonly error: {
        readonly '400': "#C70000";
        readonly '500': "#FF9081";
    };
    readonly success: {
        readonly '400': "#22874D";
        readonly '500': "#58D08B";
    };
    readonly news: {
        readonly '100': "#660505";
        readonly '200': "#8B0000";
        readonly '300': "#AB0613";
        readonly '400': "#C70000";
        readonly '500': "#FF5943";
        readonly '550': "#FF9081";
        readonly '600': "#FFBAC8";
        readonly '800': "#FFF4F2";
    };
    readonly opinion: {
        readonly '100': "#672005";
        readonly '200': "#8D2700";
        readonly '300': "#C74600";
        readonly '400': "#C74600";
        readonly '450': "#E05E00";
        readonly '500': "#FF7F0F";
        readonly '550': "#FF9941";
        readonly '600': "#F9B376";
        readonly '800': "#FEF9F5";
    };
    readonly sport: {
        readonly '100': "#003C60";
        readonly '200': "#004E7C";
        readonly '300': "#005689";
        readonly '400': "#0077B6";
        readonly '500': "#00B2FF";
        readonly '600': "#90DCFF";
        readonly '800': "#F1F8FC";
    };
    readonly culture: {
        readonly '50': "#2B2625";
        readonly '100': "#3E3323";
        readonly '200': "#574835";
        readonly '300': "#6B5840";
        readonly '350': "#866D50";
        readonly '400': "#866D50";
        readonly '450': "#A1845C";
        readonly '500': "#EACCA0";
        readonly '600': "#E7D4B9";
        readonly '700': "#EFE8DD";
        readonly '800': "#FBF6EF";
    };
    readonly lifestyle: {
        readonly '100': "#510043";
        readonly '200': "#650054";
        readonly '300': "#7D0068";
        readonly '400': "#BB3B80";
        readonly '450': "#F37ABC";
        readonly '500': "#FFABDB";
        readonly '600': "#FEC8D3";
        readonly '800': "#FEEEF7";
    };
    readonly labs: {
        readonly '200': "#0C7A73";
        readonly '300': "#65A897";
        readonly '400': "#69D1CA";
    };
    readonly specialReport: {
        readonly '100': "#222527";
        readonly '200': "#303538";
        readonly '300': "#3F464A";
        readonly '400': "#595C5F";
        readonly '450': "#9DA0A2";
        readonly '500': "#ABC2C9";
        readonly '700': "#E4E5E8";
        readonly '800': "#EFF1F2";
    };
    readonly specialReportAlt: {
        readonly '100': "#2B2B2A";
        readonly '200': "#B9300A";
        readonly '300': "#FF663D";
        readonly '700': "#EBE6E1";
        readonly '800': "#F5F0EB";
    };
    readonly focus: {
        readonly '400': "#0077B6";
    };
};

export { palette };
