'use strict';

var palette$1 = require('./_deprecated/colour/palette.cjs');
var index = require('./_deprecated/typography/index.cjs');
var api = require('./_deprecated/typography/api.cjs');
var data = require('./_deprecated/typography/data.cjs');
var descriptionId = require('./accessibility/description-id.cjs');
var focusHalo = require('./accessibility/focus-halo.cjs');
var generateSourceId = require('./accessibility/generate-source-id.cjs');
var visuallyHidden = require('./accessibility/visually-hidden.cjs');
var transitions = require('./animation/transitions.cjs');
var breakpoints = require('./breakpoints/breakpoints.cjs');
var mq = require('./mq/mq.cjs');
var palette = require('./colour/palette.cjs');
var size = require('./size/size.cjs');
var space = require('./space/space.cjs');
var css = require('./source-foundations/vendor/typography/css.cjs');
var objects = require('./source-foundations/vendor/typography/objects.cjs');
var supportsQueries = require('./utils/supports-queries.cjs');
var focusStyleManager = require('./accessibility/focus-style-manager.cjs');
var convertValue = require('./utils/convert-value.cjs');
var resets = require('./utils/resets.cjs');
var svgBackgroundImage = require('./utils/svg-background-image.cjs');



exports.background = palette$1.background;
exports.border = palette$1.border;
exports.brand = palette$1.brand;
exports.brandAlt = palette$1.brandAlt;
exports.brandAltBackground = palette$1.brandAltBackground;
exports.brandAltBorder = palette$1.brandAltBorder;
exports.brandAltLine = palette$1.brandAltLine;
exports.brandAltText = palette$1.brandAltText;
exports.brandBackground = palette$1.brandBackground;
exports.brandBorder = palette$1.brandBorder;
exports.brandLine = palette$1.brandLine;
exports.brandText = palette$1.brandText;
exports.culture = palette$1.culture;
exports.error = palette$1.error;
exports.focus = palette$1.focus;
exports.labs = palette$1.labs;
exports.lifestyle = palette$1.lifestyle;
exports.line = palette$1.line;
exports.neutral = palette$1.neutral;
exports.news = palette$1.news;
exports.opinion = palette$1.opinion;
exports.specialReport = palette$1.specialReport;
exports.sport = palette$1.sport;
exports.success = palette$1.success;
exports.text = palette$1.text;
exports.body = index.body;
exports.headline = index.headline;
exports.textSans = index.textSans;
exports.titlepiece = index.titlepiece;
exports.bodyObjectStyles = api.bodyObjectStyles;
exports.headlineObjectStyles = api.headlineObjectStyles;
exports.textSansObjectStyles = api.textSansObjectStyles;
exports.titlepieceObjectStyles = api.titlepieceObjectStyles;
exports.bodySizes = data.bodySizes;
exports.fontWeights = data.fontWeights;
exports.fonts = data.fonts;
exports.headlineSizes = data.headlineSizes;
exports.lineHeights = data.lineHeights;
exports.remBodySizes = data.remBodySizes;
exports.remHeadlineSizes = data.remHeadlineSizes;
exports.remTextSansSizes = data.remTextSansSizes;
exports.remTitlepieceSizes = data.remTitlepieceSizes;
exports.textSansSizes = data.textSansSizes;
exports.titlepieceSizes = data.titlepieceSizes;
exports.descriptionId = descriptionId.descriptionId;
exports.focusHalo = focusHalo.focusHalo;
exports.focusHaloSpaced = focusHalo.focusHaloSpaced;
exports.generateSourceId = generateSourceId.generateSourceId;
exports.visuallyHidden = visuallyHidden.visuallyHidden;
exports.transitions = transitions.transitions;
exports.breakpoints = breakpoints.breakpoints;
exports.between = mq.between;
exports.from = mq.from;
exports.until = mq.until;
exports.palette = palette.palette;
exports.height = size.height;
exports.iconSize = size.iconSize;
exports.remHeight = size.remHeight;
exports.remWidth = size.remWidth;
exports.size = size.size;
exports.width = size.width;
exports.remSpace = space.remSpace;
exports.space = space.space;
exports.article15 = css.article15;
exports.article17 = css.article17;
exports.articleBold15 = css.articleBold15;
exports.articleBold17 = css.articleBold17;
exports.articleBoldItalic15 = css.articleBoldItalic15;
exports.articleBoldItalic17 = css.articleBoldItalic17;
exports.articleItalic15 = css.articleItalic15;
exports.articleItalic17 = css.articleItalic17;
exports.headlineBold14 = css.headlineBold14;
exports.headlineBold17 = css.headlineBold17;
exports.headlineBold20 = css.headlineBold20;
exports.headlineBold24 = css.headlineBold24;
exports.headlineBold28 = css.headlineBold28;
exports.headlineBold34 = css.headlineBold34;
exports.headlineBold42 = css.headlineBold42;
exports.headlineBold50 = css.headlineBold50;
exports.headlineBold70 = css.headlineBold70;
exports.headlineLight14 = css.headlineLight14;
exports.headlineLight17 = css.headlineLight17;
exports.headlineLight20 = css.headlineLight20;
exports.headlineLight24 = css.headlineLight24;
exports.headlineLight28 = css.headlineLight28;
exports.headlineLight34 = css.headlineLight34;
exports.headlineLight42 = css.headlineLight42;
exports.headlineLight50 = css.headlineLight50;
exports.headlineLight70 = css.headlineLight70;
exports.headlineLightItalic14 = css.headlineLightItalic14;
exports.headlineLightItalic17 = css.headlineLightItalic17;
exports.headlineLightItalic20 = css.headlineLightItalic20;
exports.headlineLightItalic24 = css.headlineLightItalic24;
exports.headlineLightItalic28 = css.headlineLightItalic28;
exports.headlineLightItalic34 = css.headlineLightItalic34;
exports.headlineLightItalic42 = css.headlineLightItalic42;
exports.headlineLightItalic50 = css.headlineLightItalic50;
exports.headlineLightItalic70 = css.headlineLightItalic70;
exports.headlineMedium14 = css.headlineMedium14;
exports.headlineMedium17 = css.headlineMedium17;
exports.headlineMedium20 = css.headlineMedium20;
exports.headlineMedium24 = css.headlineMedium24;
exports.headlineMedium28 = css.headlineMedium28;
exports.headlineMedium34 = css.headlineMedium34;
exports.headlineMedium42 = css.headlineMedium42;
exports.headlineMedium50 = css.headlineMedium50;
exports.headlineMedium70 = css.headlineMedium70;
exports.headlineMediumItalic14 = css.headlineMediumItalic14;
exports.headlineMediumItalic17 = css.headlineMediumItalic17;
exports.headlineMediumItalic20 = css.headlineMediumItalic20;
exports.headlineMediumItalic24 = css.headlineMediumItalic24;
exports.headlineMediumItalic28 = css.headlineMediumItalic28;
exports.headlineMediumItalic34 = css.headlineMediumItalic34;
exports.headlineMediumItalic42 = css.headlineMediumItalic42;
exports.headlineMediumItalic50 = css.headlineMediumItalic50;
exports.headlineMediumItalic70 = css.headlineMediumItalic70;
exports.textEgyptian14 = css.textEgyptian14;
exports.textEgyptian15 = css.textEgyptian15;
exports.textEgyptian17 = css.textEgyptian17;
exports.textEgyptianBold14 = css.textEgyptianBold14;
exports.textEgyptianBold15 = css.textEgyptianBold15;
exports.textEgyptianBold17 = css.textEgyptianBold17;
exports.textEgyptianBoldItalic14 = css.textEgyptianBoldItalic14;
exports.textEgyptianBoldItalic15 = css.textEgyptianBoldItalic15;
exports.textEgyptianBoldItalic17 = css.textEgyptianBoldItalic17;
exports.textEgyptianItalic14 = css.textEgyptianItalic14;
exports.textEgyptianItalic15 = css.textEgyptianItalic15;
exports.textEgyptianItalic17 = css.textEgyptianItalic17;
exports.textSans12 = css.textSans12;
exports.textSans14 = css.textSans14;
exports.textSans15 = css.textSans15;
exports.textSans17 = css.textSans17;
exports.textSans20 = css.textSans20;
exports.textSans24 = css.textSans24;
exports.textSans28 = css.textSans28;
exports.textSans34 = css.textSans34;
exports.textSansBold12 = css.textSansBold12;
exports.textSansBold14 = css.textSansBold14;
exports.textSansBold15 = css.textSansBold15;
exports.textSansBold17 = css.textSansBold17;
exports.textSansBold20 = css.textSansBold20;
exports.textSansBold24 = css.textSansBold24;
exports.textSansBold28 = css.textSansBold28;
exports.textSansBold34 = css.textSansBold34;
exports.textSansItalic12 = css.textSansItalic12;
exports.textSansItalic14 = css.textSansItalic14;
exports.textSansItalic15 = css.textSansItalic15;
exports.textSansItalic17 = css.textSansItalic17;
exports.textSansItalic20 = css.textSansItalic20;
exports.textSansItalic24 = css.textSansItalic24;
exports.textSansItalic28 = css.textSansItalic28;
exports.textSansItalic34 = css.textSansItalic34;
exports.titlepiece42 = css.titlepiece42;
exports.titlepiece50 = css.titlepiece50;
exports.titlepiece70 = css.titlepiece70;
exports.article15Object = objects.article15Object;
exports.article17Object = objects.article17Object;
exports.articleBold15Object = objects.articleBold15Object;
exports.articleBold17Object = objects.articleBold17Object;
exports.articleBoldItalic15Object = objects.articleBoldItalic15Object;
exports.articleBoldItalic17Object = objects.articleBoldItalic17Object;
exports.articleItalic15Object = objects.articleItalic15Object;
exports.articleItalic17Object = objects.articleItalic17Object;
exports.headlineBold14Object = objects.headlineBold14Object;
exports.headlineBold17Object = objects.headlineBold17Object;
exports.headlineBold20Object = objects.headlineBold20Object;
exports.headlineBold24Object = objects.headlineBold24Object;
exports.headlineBold28Object = objects.headlineBold28Object;
exports.headlineBold34Object = objects.headlineBold34Object;
exports.headlineBold42Object = objects.headlineBold42Object;
exports.headlineBold50Object = objects.headlineBold50Object;
exports.headlineBold70Object = objects.headlineBold70Object;
exports.headlineLight14Object = objects.headlineLight14Object;
exports.headlineLight17Object = objects.headlineLight17Object;
exports.headlineLight20Object = objects.headlineLight20Object;
exports.headlineLight24Object = objects.headlineLight24Object;
exports.headlineLight28Object = objects.headlineLight28Object;
exports.headlineLight34Object = objects.headlineLight34Object;
exports.headlineLight42Object = objects.headlineLight42Object;
exports.headlineLight50Object = objects.headlineLight50Object;
exports.headlineLight70Object = objects.headlineLight70Object;
exports.headlineLightItalic14Object = objects.headlineLightItalic14Object;
exports.headlineLightItalic17Object = objects.headlineLightItalic17Object;
exports.headlineLightItalic20Object = objects.headlineLightItalic20Object;
exports.headlineLightItalic24Object = objects.headlineLightItalic24Object;
exports.headlineLightItalic28Object = objects.headlineLightItalic28Object;
exports.headlineLightItalic34Object = objects.headlineLightItalic34Object;
exports.headlineLightItalic42Object = objects.headlineLightItalic42Object;
exports.headlineLightItalic50Object = objects.headlineLightItalic50Object;
exports.headlineLightItalic70Object = objects.headlineLightItalic70Object;
exports.headlineMedium14Object = objects.headlineMedium14Object;
exports.headlineMedium17Object = objects.headlineMedium17Object;
exports.headlineMedium20Object = objects.headlineMedium20Object;
exports.headlineMedium24Object = objects.headlineMedium24Object;
exports.headlineMedium28Object = objects.headlineMedium28Object;
exports.headlineMedium34Object = objects.headlineMedium34Object;
exports.headlineMedium42Object = objects.headlineMedium42Object;
exports.headlineMedium50Object = objects.headlineMedium50Object;
exports.headlineMedium70Object = objects.headlineMedium70Object;
exports.headlineMediumItalic14Object = objects.headlineMediumItalic14Object;
exports.headlineMediumItalic17Object = objects.headlineMediumItalic17Object;
exports.headlineMediumItalic20Object = objects.headlineMediumItalic20Object;
exports.headlineMediumItalic24Object = objects.headlineMediumItalic24Object;
exports.headlineMediumItalic28Object = objects.headlineMediumItalic28Object;
exports.headlineMediumItalic34Object = objects.headlineMediumItalic34Object;
exports.headlineMediumItalic42Object = objects.headlineMediumItalic42Object;
exports.headlineMediumItalic50Object = objects.headlineMediumItalic50Object;
exports.headlineMediumItalic70Object = objects.headlineMediumItalic70Object;
exports.textEgyptian14Object = objects.textEgyptian14Object;
exports.textEgyptian15Object = objects.textEgyptian15Object;
exports.textEgyptian17Object = objects.textEgyptian17Object;
exports.textEgyptianBold14Object = objects.textEgyptianBold14Object;
exports.textEgyptianBold15Object = objects.textEgyptianBold15Object;
exports.textEgyptianBold17Object = objects.textEgyptianBold17Object;
exports.textEgyptianBoldItalic14Object = objects.textEgyptianBoldItalic14Object;
exports.textEgyptianBoldItalic15Object = objects.textEgyptianBoldItalic15Object;
exports.textEgyptianBoldItalic17Object = objects.textEgyptianBoldItalic17Object;
exports.textEgyptianItalic14Object = objects.textEgyptianItalic14Object;
exports.textEgyptianItalic15Object = objects.textEgyptianItalic15Object;
exports.textEgyptianItalic17Object = objects.textEgyptianItalic17Object;
exports.textSans12Object = objects.textSans12Object;
exports.textSans14Object = objects.textSans14Object;
exports.textSans15Object = objects.textSans15Object;
exports.textSans17Object = objects.textSans17Object;
exports.textSans20Object = objects.textSans20Object;
exports.textSans24Object = objects.textSans24Object;
exports.textSans28Object = objects.textSans28Object;
exports.textSans34Object = objects.textSans34Object;
exports.textSansBold12Object = objects.textSansBold12Object;
exports.textSansBold14Object = objects.textSansBold14Object;
exports.textSansBold15Object = objects.textSansBold15Object;
exports.textSansBold17Object = objects.textSansBold17Object;
exports.textSansBold20Object = objects.textSansBold20Object;
exports.textSansBold24Object = objects.textSansBold24Object;
exports.textSansBold28Object = objects.textSansBold28Object;
exports.textSansBold34Object = objects.textSansBold34Object;
exports.textSansItalic12Object = objects.textSansItalic12Object;
exports.textSansItalic14Object = objects.textSansItalic14Object;
exports.textSansItalic15Object = objects.textSansItalic15Object;
exports.textSansItalic17Object = objects.textSansItalic17Object;
exports.textSansItalic20Object = objects.textSansItalic20Object;
exports.textSansItalic24Object = objects.textSansItalic24Object;
exports.textSansItalic28Object = objects.textSansItalic28Object;
exports.textSansItalic34Object = objects.textSansItalic34Object;
exports.titlepiece42Object = objects.titlepiece42Object;
exports.titlepiece50Object = objects.titlepiece50Object;
exports.titlepiece70Object = objects.titlepiece70Object;
exports.appearance = supportsQueries.appearance;
exports.FocusStyleManager = focusStyleManager.FocusStyleManager;
exports.pxToRem = convertValue.pxToRem;
exports.rootPixelFontSize = convertValue.rootPixelFontSize;
exports.resets = resets.resets;
exports.svgBackgroundImage = svgBackgroundImage.svgBackgroundImage;
