import { size as size$1 } from '../design-tokens/vendor/tokens.js';
import { pxStringToNumber, pxToRem } from '../utils/convert-value.js';

const size = {
  xsmall: pxStringToNumber(size$1.xSmall),
  small: pxStringToNumber(size$1.small),
  medium: pxStringToNumber(size$1.medium)
  // meets WCAG 2.1 AAA compliance for touch targets.
};
const remSize = {
  xsmall: pxToRem(size.xsmall),
  small: pxToRem(size.small),
  medium: pxToRem(size.medium)
};
const iconSize = {
  xsmall: pxStringToNumber(size$1.icon.xSmall),
  small: pxStringToNumber(size$1.icon.small),
  medium: pxStringToNumber(size$1.icon.medium)
};
const remIconSize = {
  xsmall: pxToRem(iconSize.xsmall),
  small: pxToRem(iconSize.small),
  medium: pxToRem(iconSize.medium)
};
const height = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputMedium: size.medium,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remHeight = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputMedium: remSize.medium,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};
const width = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remWidth = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};

export { height, iconSize, remHeight, remWidth, size, width };
